"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.appDayBundle = void 0;

var _reduxBundler = require("redux-bundler");

var _date = require("../utils/date");

const appDayBundle = {
  name: 'appDay',
  selectAppDateString: (0, _reduxBundler.createSelector)('selectAppTime', _date.toSimpleISODateString),
  selectAppDayDate: (0, _reduxBundler.createSelector)('selectAppDateString', string => {
    const arr = string.split('-').map(Number);
    arr[1] = arr[1] - 1;
    return new Date(...arr);
  })
};
exports.appDayBundle = appDayBundle;