"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _decimals = require("./decimals");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _tape.default)('cleanDecimalInput', t => {
  const results = [['00.132', '0.132'], ['00123', '123'], ['0.1.32', '0.132'], ['abc.2342', '.2342'], ['1.2342', '1.2342'], ['01.2342', '1.2342'], ['01.-2*(*&@#(&$342', '1.2342'], ['+', '']];
  results.forEach(([input, output]) => {
    t.equal((0, _decimals.cleanDecimalInput)(input), output, "input ".concat(input, " should equal ").concat(output));
  });
  t.end();
});